Loading...
Searching...
No Matches
Dune::SolverHelper< ISTLLinearSolver, BCRSMatrix > Class Template Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers

Helper class for notifying a DUNE-ISTL linear solver about a change of the iteration matrix object in a unified way, i.e. independent from the solver's type (direct/iterative). More...

`#include <dune/istl/solver.hh>`

## Classes

struct | Implementation
| Implementation that works together with iterative ISTL solvers, e.g. Dune::CGSolver or Dune::BiCGSTABSolver. More...
struct | Implementation< true, Dummy >
| Implementation that works together with direct ISTL solvers, e.g. Dune::SuperLU or Dune::UMFPack. More...

## Static Public Member Functions

static void | setMatrix (ISTLLinearSolver &solver, const BCRSMatrix &matrix)

## Detailed Description

template<typename ISTLLinearSolver, typename BCRSMatrix>
class Dune::SolverHelper< ISTLLinearSolver, BCRSMatrix >

Helper class for notifying a DUNE-ISTL linear solver about a change of the iteration matrix object in a unified way, i.e. independent from the solver's type (direct/iterative).

Author
  Sebastian Westerheide.

## Member Function Documentation

## setMatrix()

template<typename ISTLLinearSolver, typename BCRSMatrix>

void Dune::SolverHelper< ISTLLinearSolver, BCRSMatrix >::setMatrix | ( | ISTLLinearSolver & | solver,
|  | const BCRSMatrix & | matrix )

inline static

The documentation for this class was generated from the following file:

- solver.hh